<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>

  <xs:simpleType name="DHCPSP6_ValidSVLANID">
    <xs:restriction base="xs:unsignedInt">
      <xs:minInclusive value="1"/>
      <xs:maxInclusive value="4094"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="DHCPSP6_InValidSVLANID">
    <xs:restriction base="xs:unsignedInt">
      <xs:enumeration value="65535"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="DHCPSP6_SVLANID">
    <xs:union memberTypes="DHCPSP6_ValidSVLANID DHCPSP6_InValidSVLANID"/>
  </xs:simpleType>

  <xs:element name="DHCPSP6">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">    

        <xs:element name="DHCPSP6Interface" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>                    
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="BindingRecord" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="CheckRequestMessage" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="Trust" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="LearnMaxNum" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
		                </xs:element>
		                <xs:element name="RateLimitNum" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
		                </xs:element>                            
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="DHCPSP6OptionEnable" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="OptionEnable" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>                    
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="InterfaceIDEnable" minOccurs="0" type="base:Boolean"  nillable="true">
                    </xs:element>
                    <xs:element name="RemoteIDEnable" minOccurs="0" type="base:Boolean"  nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
                     
        <xs:element name="DHCPSP6OptionInterfaceID" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="InterfaceID" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>                    
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="VLANID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>                     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="InterfaceID" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:minLength value="1"></xs:minLength>
			                      <xs:maxLength value="128"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
			                </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="DHCPSP6OptionRemoteID" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="RemoteID" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>                    
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="VLANID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>                     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RemoteID" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:String">
			                      <xs:minLength value="1"></xs:minLength>
			                      <xs:maxLength value="128"></xs:maxLength>
			                    </xs:restriction>
			                  </xs:simpleContent>
			                </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>      

        <xs:element name="DHCPSP6BindingDatabase" minOccurs="0">
          <xs:complexType>
            <xs:all>
              <xs:element name="FileName" minOccurs="0" nillable="true">
                <xs:complexType>
			            <xs:simpleContent>
			              <xs:restriction base="base:String">
			                <xs:minLength value="1"></xs:minLength>
			                <xs:maxLength value="255"></xs:maxLength>
			              </xs:restriction>
			            </xs:simpleContent>
			          </xs:complexType>
              </xs:element>
              <xs:element name="URL" minOccurs="0" nillable="true">
                <xs:complexType>
			            <xs:simpleContent>
			              <xs:restriction base="base:String">
			                <xs:minLength value="1"></xs:minLength>
			                  <xs:maxLength value="255"></xs:maxLength>
			                </xs:restriction>
			              </xs:simpleContent>
			            </xs:complexType>
                </xs:element>
                <xs:element name="Username" minOccurs="0" nillable="true">
                  <xs:complexType>
			              <xs:simpleContent>
			                <xs:restriction base="base:String">
                        <xs:minLength value="1"></xs:minLength>
			                  <xs:maxLength value="32"></xs:maxLength>
			                </xs:restriction>
			              </xs:simpleContent>
			            </xs:complexType>
                </xs:element>
                <xs:element name="Password" minOccurs="0" nillable="true">
                  <xs:complexType>
			              <xs:simpleContent>
			                <xs:restriction base="base:String">
			                  <xs:minLength value="1"></xs:minLength>
			                  <xs:maxLength value="32"></xs:maxLength>
			                </xs:restriction>
			              </xs:simpleContent>
			            </xs:complexType>
                </xs:element>
                <xs:element name="UpdateInterval" minOccurs="0" nillable="true">
                  <xs:complexType>
			              <xs:simpleContent>
			                <xs:restriction base="base:UnsignedInteger32">
			                  <xs:minInclusive value="60"></xs:minInclusive>
			                  <xs:maxInclusive value="864000"></xs:maxInclusive>
			                </xs:restriction>
			              </xs:simpleContent>
			            </xs:complexType>
                </xs:element>
              </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        <xs:element name="DHCPSP6Specification" minOccurs="0">
           <xs:complexType>
           <xs:all>
            <xs:element name="RateLimitMinNum" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
            </xs:element>
            <xs:element name="RateLimitMaxNum" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
            </xs:element>
          </xs:all>
          <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
         </xs:complexType>
        </xs:element>   

        <xs:element name="DHCPSP6Binding" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Binding" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Ipv6Address" minOccurs="0" type="base:Ipv6Address" nillable="true">
                    </xs:element>
                    <xs:element name="VLANID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>                     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SVLANID" minOccurs="0" type="DHCPSP6_SVLANID" nillable="true">
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="Lease" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>      

        <xs:element name="DHCPSP6Config" minOccurs="0">
          <xs:complexType>
            <xs:all>
              <xs:element name="DHCPSP6Enable" minOccurs="0" type="base:Boolean"  nillable="true">
             </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
